Documentation Index

Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt

Use this file to discover all available pages before exploring further.

Validate License

Prev Next
Post
/api/v1/licenses.validate
Premium tag

Validates a Rocket.Chat license against the current workspace without applying it. Use this endpoint to preview a license before applying it with the Add License endpoint. It accepts both V2 and V3 (JWT) license formats.

A valid license returns a success response. An invalid license returns a failure response with the validation behaviors that rejected it listed in the reasons array.

Permission required: edit-privileged-setting.

Changelog

Version Description
8.7.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Body parameters
Example
{
  "license": "VFJ0vHf3Jm9AR0minB342MLaHRlZdc3Du5nf0E5Sv0QJ4SUkEIaU2boCYaDsxQ2N1UL4uhLjCF9M7iCZ/yxafJjxbHvOu1D5rOfdgO4RKlAGE9tGHDidJR9crJyXVb16jPHHvLSkUFzb7HoIq/nUXxU8gEgT3uJ9u2+Dw5ukDLX3SG2AFq1hLoPSZqsP6g2AQo="
}
object
license
string Required

The encrypted license string to validate.

Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
400

Bad Request

Invalid License
{
  "success": false,
  "error": "license-invalid",
  "reasons": [
    {
      "behavior": "invalidate_license",
      "reason": "url"
    }
  ]
}
Expand All
object
success
boolean
error
string
reasons
Array of object
object
behavior
string
reason
string
modules
Array of string
string
limit
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Permission Error
{
  "success": false,
  "error": "User does not have the permissions required for this action [error-unauthorized]"
}
object
success
boolean
error
string